POST /v1/newEvent
Information about a new event in the systems
HOST: SOFTWARE SERVICE
DIRECTION:

The event type. Click here for definitions of each type.
Enum:"CREATED""CONFIRMED""DISPATCHED""READY_FOR_PICKUP""PICKUP_ONGOING""PICKED_UP""DELIVERED""CONCLUDED""CANCELLATION_REQUESTED""CANCELLED"
Discriminator
Order creation date and time.
(UTC date-time in ISO timestamp format. See Guidelines for more info).
This field must be filled in with the AppId of Keeta that originated the order. This field is to help the applications that will work as a Hub, intermediating the requests from Keeta with the Software Service.
- https://api.example.com/api/open/opendeliveryhttps://api.example.com/api/open/opendelivery/v1/newEvent
curl -i -X POST \
https://api.example.com/api/open/opendelivery/v1/newEvent \
-H 'Content-Type: application/json' \
-H 'X-App-Id: string' \
-H 'X-App-MerchantId: 22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824' \
-H 'X-App-Signature: string' \
-d '{
"eventId": "string",
"eventType": "CREATED",
"orderId": "string",
"orderURL": "http://example.com",
"createdAt": "2019-08-24T14:15:22Z",
"sourceAppId": "string",
"virtualBrand": "string"
}'Response
No content